## ros-kinetic-fetchit-challenge 0.8.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(fetchit_challenge)

find_package(catkin REQUIRED COMPONENTS
  controller_manager
  fetch_gazebo
  gazebo_ros
  robot_state_publisher
  rospy
)

###################################
## catkin specific configuration ##
###################################
catkin_package()

###########
## Build ##
###########

include_directories(
  ${catkin_INCLUDE_DIRS}
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
install(
  PROGRAMS
    scripts/spawn_assembly_delayed.sh
    scripts/spawn_assembly_delayed_simple.sh
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
  DIRECTORY config launch models urdf worlds
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-fetchit-challenge (0.8.2-0xenial) xenial; urgency=high

  * Merge pull request #65 <https://github.com/fetchrobotics/fetch_gazebo/issues/65> from moriarty/kinetic-backports
  * [FetchIt!] Don't find_package an exec_depend
  * [fetchit] catkin depends and installation (#58 <https://github.com/fetchrobotics/fetch_gazebo/issues/58>)
    The models, scripts and launch files were not installed. Fixes #57 <https://github.com/fetchrobotics/fetch_gazebo/issues/57>
  * [FetchIt!] fix the stl collision scales (#60 <https://github.com/fetchrobotics/fetch_gazebo/issues/60>)
    Added rescaled stls with corrected origins that generated issue that seems they were no collisions but in fact they were decentered and huge.
    This fixes #56 <https://github.com/fetchrobotics/fetch_gazebo/issues/56>
  * [FetchIt!] Model updates for new largeGear (#51)
    
    This fixes #50 in part, the stl files
    
    These changes correspond to fetchrobotics/fetchit#2
    
    Added updated dae versions with rescaling to correct dimensions and same colours as previous versions
  * Contributors: Alexander Moriarty, Carl Saldanha, Miguel Angel Rodríguez

 -- RDaneelOlivaw <duckfrost@theconstructsim.com>  Thu, 28 Mar 2019 07:00:00 -0000

ros-kinetic-fetchit-challenge (0.8.1-0xenial) xenial; urgency=high

  * [package.xml] sync versions to 0.8.0 for kinetic
  * Merge pull request #41 from moriarty/gazebo7-new
    
    Fast Forward Gazebo7, and revert breaking changes for Gazebo 9
    
    Related to #39 which was a similar fast forward and revert for Gazebo 2.
    
    Also cherry-picks #43 and #45
  * [package.xml] adds: license(BSD), author, maintainers (#45)
    
    [package.xml] update maintainers
    
    [fetchit_challenge] adds license(BSD), author, maintainers
    
    [fetchit_challenge] add <url> tags to package.xmlThis cherry-picks ccb5ad3f40cedc2944a9b3d6fab8d75239a9997b (#45 <https://github.com/fetchrobotics/fetch_gazebo/issues/45>)
  * Merge pull request #38 <https://github.com/fetchrobotics/fetch_gazebo/issues/38> from RDaneelOlivav/gazebo9
    Invisible table and gear Fix, creation of simpler simulation environment, creation of different lighting conditions launches
  * Merge pull request #32 <https://github.com/fetchrobotics/fetch_gazebo/issues/32> from RDaneelOlivav/gazebo9
    FetchIt Challenge Package addition and minor melodic Moveit Fix
  * Added fetchit Challenge package files
  * Contributors: Alexander Moriarty, Miguel Angel Rodríguez

 -- RDaneelOlivaw <duckfrost@theconstructsim.com>  Tue, 26 Mar 2019 07:00:00 -0000

ros-kinetic-fetchit-challenge (0.8.0-0xenial) xenial; urgency=high

  * fetchit_challenge was newly added after 0.8.0

 -- RDaneelOlivaw <duckfrost@theconstructsim.com>  Tue, 27 Dec 2016 08:00:00 -0000

=== debian/control ===
Source: ros-kinetic-fetchit-challenge
Section: misc
Priority: extra
Maintainer: RDaneelOlivaw <duckfrost@theconstructsim.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-controller-manager, ros-kinetic-fetch-gazebo, ros-kinetic-gazebo-ros, ros-kinetic-robot-state-publisher, ros-kinetic-rospy
Homepage: https://opensource.fetchrobotics.com/competition
Standards-Version: 3.9.2

Package: ros-kinetic-fetchit-challenge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-controller-manager, ros-kinetic-effort-controllers, ros-kinetic-fetch-gazebo, ros-kinetic-gazebo-ros, ros-kinetic-robot-state-publisher, ros-kinetic-rospy
Description: The fetchit_challenge package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-fetchit-challenge//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
